ustrzncat(3)

NAME
ustrzncat

SYNOPSIS
#include <allegro.h>

char *ustrzncat(char *dest, int size, const char *src, int n);

DESCRIPTION
This function is like ustrzcat() except that no more than `n' characters from `src' are appended to the end of `dest'. If the terminating null character in `src' is reached before `n' characters have been written, the null character is copied, but no other characters are written. Note that `dest' is guaranteed to be null-terminated.

RETURN VALUE
The return value is the value of `dest'.

SEE ALSO
uconvert(3), ustrzcat(3), ustrncat(3)